/* Main 콘텐츠 관련 CSS 작성 */
.main-sec-title-wrap {position: relative; color: var(--black-color); text-align: center;}
.main-sec-title-wrap .char {display: inline-block;}
.main-sec-title-wrap .char-mask {display: inline-block; overflow: hidden; vertical-align: top;}
.main-sec-title {width: fit-content; margin: 0 auto; position: relative; font-size: var(--font-50); font-weight: 300; line-height: normal; visibility: hidden;}
.main-sec-title strong {font-weight: 700;}
.main-sec-title .color {color: var(--main-color);}
.main-sec-desc {margin: 0 auto; margin-top: 0.55em; font-size: var(--font-18); font-weight: 400; line-height: normal; visibility: hidden;}

.main-section.main-visual-section {visibility: hidden; opacity: 0;}
.main-visual-slider .swiper-container {overflow: hidden; position: relative;}
.swiper-container .arrow {display: flex; align-items: center; justify-content: center; width: 50px; aspect-ratio: 1 / 1; border-radius: 999px; background-color: var(--white-color); border: 1px solid var(--line-color); font-size: var(--font-24); line-height: 1;}
.main-visual-slider .arrow {z-index: 10; position: absolute; top: 50%;}
.main-visual-slider .arrow.next {right: calc((100% - 1440px) / 2); transform: translate(50%, -50%);}
.main-visual-slider .arrow.prev {left: calc((100% - 1440px) / 2); transform: translate(-50%, -50%);}

.main-visual-slider .ctrl {position: absolute; z-index: 10; bottom: 0; right: calc((100% - 1440px) / 2); transform: translate(-30px, -30px); display: flex; justify-content: center; align-items: center; border-radius: 999px; background-color: rgba(0, 0, 0, 0.7); padding: 6px 20px;}
.main-visual-slider .page-wrap {position: relative; padding-right: 10px; color: rgb(255, 255, 255, 0.5); letter-spacing: 0; line-height: 1;}
.main-visual-slider .page-wrap::after {content: ""; position: absolute; top: 50%; right: 0; transform: translateY(-50%); display: inline-block; width: 1px; height: 12px; background-color: var(--white-color);}
.main-visual-slider .page-wrap .page {font-size: var(--font-14); font-weight: 400;}
.main-visual-slider .page-wrap .page.current {color: var(--white-color); font-weight: 700;}
.main-visual-slider .page-wrap .bar {}

.main-visual-slider .btn-wrap {padding-left: 7px;}
.main-visual-slider .pp_btn {display: flex; align-items: center; justify-content: center; width: 20px; aspect-ratio: 1 / 1; background-color: transparent; border: none; color: var(--white-color); font-size: var(--font-18); line-height: 1;}
.main-visual-slider .pp_btn.play {display: none;}

.main-visual-slider .swiper-wrapper {}
.main-visual-slider .swiper-slide {overflow: hidden; width: 1440px; max-width: calc(100% - 3rem); margin: 0 80px; border-radius: 40px; font-size: 0;}
.main-visual-link {display: block; position: relative;}
.main-visual-link::after {content: ""; position: absolute; top: 0; left: 0; right: 0; bottom: 0; pointer-events: none; border: 3px solid transparent; z-index: 10; border-radius: 40px;}
.main-visual-link:is(:focus-within, :focus-visible)::after {border: 3px dotted #ff0000;}
.main-visual-img {overflow: hidden; position: relative; width: 100%; height: 0; padding-bottom: 33.334%;}
.main-visual-img > img {position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%); display: inline-block; width: 100%; height: 100%; object-fit: cover;}

.main-visual-txt {position: absolute; z-index: 1; top: 50%; left: 50%; transform: translate(-50%, -50%); display: flex; flex-direction: column; align-items: center; justify-content: center; width: 100%; height: 100%; color: var(--white-color); text-shadow: 0 4px 4px rgba(0, 0, 0, 0.5); text-align: center;}
.main-visual-txt > .t1 {font-size: var(--font-50); font-weight: 300; line-height: 140%; word-wrap: break-word; word-break: break-all;}
.main-visual-txt > .t2 {font-size: var(--font-65); font-weight: 700; line-height: 123%; word-wrap: break-word; word-break: break-all;}

.main-section.quicklink-section {}
.quicklink-wrap {display: flex; justify-content: space-around; align-items: start; flex-wrap: wrap;}
.quicklink-li {visibility: hidden; opacity: 0;}
.quicklink-a {display: block; text-align: center; transition: .4s;}
.quicklink-a .icon {position: relative; display: block; width: 62px; aspect-ratio: 1 / 1; margin: 0 auto 8px; font-size: 0;}
.quicklink-a .icon::before, .quicklink-a .icon::after {content: ""; overflow: hidden; position: absolute; z-index: -1; transform: translate(-50%, -50%); width: 0; aspect-ratio: 1 / 1; border-radius: 999px; transition: .5s;}
.quicklink-a .icon::before {top: 30%; left: 70%; background-color: var(--main-color); opacity: 0.2; filter: blur(2px);}
.quicklink-a .icon::after {top: 65%; left: 35%; background-color: var(--base-color); opacity: 0.3; filter: blur(4px);}
.quicklink-li:hover .quicklink-a .icon::after, .quicklink-a:is(:active, :focus) .icon::after {width: 50px;}
.quicklink-li:hover .quicklink-a .icon::before, .quicklink-a:is(:active, :focus) .icon::before {width: 30px;}
.quicklink-a .icon > img {display: inline-block; position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%); width: 100%; height: 100%; object-fit: contain;}
.quicklink-a .txt {color: var(--black-color); font-size: var(--font-22); font-weight: 500; line-height: 118%; transition: 0.3s;}
.quicklink-li:hover .quicklink-a, .quicklink-a:is(:active, :focus) {transform: translateY(-20px);}
.quicklink-li:hover .txt, .quicklink-a:is(:active, :focus) .txt {color: var(--main-color);}

.main-section.main-news-section {overflow-x: clip; overflow-y: visible; position: relative; padding: 95px 0 100px; background: url("../img/main-bg-img01.png") no-repeat center center / cover;}
.main-section.main-news-section::before {content: ""; position: absolute; top: -93px; right: -5px; display: inline-block; width: 188px; aspect-ratio: 188 / 165; background: url("../img/illust-picnic01.png") no-repeat center center / contain;}
.main-section.main-news-section::after {content: ""; position: absolute; bottom: -53px; left: 48px; display: inline-block; width: 135.1px; aspect-ratio: 13510 / 13417; background: url("../img/illust-date01.png") no-repeat center center / contain;}
.main-section.main-news-section .main-sec-title::before {content: ""; position: absolute; bottom: 10px; right: 100%; display: inline-block; width: 70px; aspect-ratio: 70 / 100.54; background: url("../img/illust-tree01.png") no-repeat center center / contain;}

.main-news-slider {padding-left: calc((100vw - 1440px) / 2); mask-image: linear-gradient(to right, transparent calc((100vw - 1440px) / 2 - 30px), black calc((100vw - 1400px) / 2 - 30px)); -webkit-mask-image: linear-gradient(to right, transparent calc((100vw - 1440px) / 2 - 30px), black calc((100vw - 1400px) / 2 - 30px)); margin-top: -40px;}
.main-news-slider .swiper-container .arrow {transition: 0.3s;}
.main-news-slider .swiper-container .arrow:not([disabled]):is(:hover, :active, :focus) {box-shadow: 0 0 10px rgba(0, 0, 0, 0.05);}
.main-news-slider .swiper-container {}
.main-news-slider .btn-wrap {display: flex; align-items: center; justify-content: end; gap: 15px; margin-bottom: 33px; margin-right: calc((100vw - 1440px) / 2); padding-top: 5px; /* mask-clip에 의한 focus-visible 잘림 방지 */}
.main-news-slider .scrollbar {width: 1440px; max-width: calc(100% - 1.5rem); height: 2px; margin-top: 50px; background: var(--border-color);}
.main-news-slider .swiper-scrollbar-drag {background: var(--black-color);}

.main-news-slider .swiper-slide {font-size: 0; width: 330px; height: 360px; margin-right: 40px; transition: .3s; visibility: hidden; opacity: 0;}
.main-news-link {display: flex; flex-direction: column; width: 100%; height: 100%; padding: 46px 35px 51px; border-radius: var(--corner-radius); background-color: var(--white-color); box-shadow: 0 0 40px 5px rgba(113, 113, 113, 0.1); transition: 0.3s;}
.main-news-link:is(:hover, :active, :focus) {box-shadow: 0 0 40px 5px rgba(113, 113, 113, 0.3);}
.main-news-link .cate {color: var(--main-color); font-size: var(--font-16); font-weight: 500; line-height: 119%;}
.main-news-link .title {margin: 30px 0; color: var(--black-color); font-size: var(--font-22); font-weight: 500; line-height: 136%;}
.main-news-link .date {color: var(--gray-color); font-size: var(--font-16); font-weight: 400; line-height: 150%;}
.main-news-link .more {align-self: end; position: relative; display: inline-flex; align-items: center; gap: 8px; margin-top: auto; color: var(--black-color); font-size: var(--font-15); font-weight: 400; line-height: 1;}
.main-news-link:is(:hover, :active, :focus) .more {text-decoration: underline; text-underline-offset: 2px;}
.main-news-link .more::before {content: ""; position: absolute; right: 3px; transform: translateX(50%); display: inline-block; width: 20px; aspect-ratio: 1 / 1; border-radius: 999px; background-color: var(--base-color); transition: 0.3s;}
.main-news-link:is(:hover, :active, :focus) .more::before {width: 25px;}
.main-news-link .more::after {content: ""; position: relative; z-index: 1; display: inline-block; width: 27px; height: 8px; background: url("../img/icon-long-arrow-right.svg") no-repeat center center / contain;}

.main-section.main-map-section {margin: 148px 0 88px;}
.main-map-wrap {display: flex; align-items: center; justify-content: space-between; gap: 30px; flex-wrap: wrap;}
.main-map-block {}
.main-map-block.txt-box {flex: 1;}
.main-map-block .main-sec-title-wrap {margin-bottom: 27px; text-align: left;}
.main-map-block .main-sec-title {margin: 0;}
.main-map-block .main-sec-title::before {content: ""; position: absolute; bottom: 0; left: calc(100% + 5px); display: inline-block; width: 57px; aspect-ratio: 57 / 99.54; background: url("../img/illust-tree02.png") no-repeat center center / contain;}

.main-map-block.map-box {flex: none; position: relative; width: 720px; max-width: 100%; aspect-ratio: 720 / 260; opacity: 0; visibility: hidden; transform: scale(0.8); will-change: transform, opacity;}
.main-map-block.map-box::before {content: ""; position: absolute; z-index: 1; bottom: calc(100% - 3px); right: 30px; display: inline-block; width: 169px; aspect-ratio: 169.01 / 101.63; background: url("../img/illust-family01.png") no-repeat center center / contain;}
.main-map-block .root_daum_roughmap {overflow: hidden; position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%); display: inline-block; width: 100%; height: 100%; border-radius: var(--corner-radius);}
.main-map-block .root_daum_roughmap::after {content: ""; position: absolute; top: 0; left: 0; right: 0; bottom: 0; pointer-events: none; border: 3px solid transparent; z-index: 10; border-radius: var(--corner-radius);}
.main-map-block .root_daum_roughmap:is(:focus-within, :focus-visible)::after {border: 3px dotted #ff0000;}
.main-map-block :where(.map_border, .wrap_controllers, .cont, .wrap_btn_zoom, .map > div:nth-child(2)) {display: none !important;}

.main-section.rel-sites-section {overflow-x: hidden; width: 100%; margin-top: 100px;}
.rel-sites-inner {display: flex; align-items: center; gap: 70px;}
.rel-sites-section .rel-btn-wrap {flex: none; display: flex; border-radius: 3px; border: 1px solid var(--line-color);}
.rel-sites-section .rel-btn-wrap > button {display: flex; align-items: center; justify-content: center; width: 40px; height: 40px; background: transparent; border: 0; font-size: 28px; line-height: 1;}
.rel-sites-section .rel-btn-wrap .sites-button-prev {}
.rel-sites-section .rel-btn-wrap .sites-button-next {border-left: 1px solid var(--line-color);}
.rel-sites-section .rel-btn-wrap .sites-button-pause {border-left: 1px solid var(--line-color);}
.rel-sites-section .rel-btn-wrap .sites-button-play {display: none; border-left: 1px solid var(--line-color);}
.rel-sites-slider {display: block;}
.rel-sites-slider .swiper-container {overflow: hidden; padding: 5px 0;}
.rel-sites-slider .swiper-wrapper {align-items: center;}
.rel-sites-slider .swiper-slide {width: auto; max-width: 280px; margin-right: 116px; font-size: 0;}
.rel-sites-slider .swiper-slide img {max-height: 60px;}

/* ====================  반응형 ==================== */
@media screen and (max-width:1440px) {
  .main-visual-slider .arrow.next {right: 4rem;}
  .main-visual-slider .arrow.prev {left: 4rem;}
  .main-visual-slider .ctrl {bottom: 2rem; right: 4rem; transform: none;}
  .main-visual-slider .swiper-slide {border-radius: var(--corner-radius);}
  .main-visual-link::after {border-radius: var(--font-40);}

  .quicklink-a .icon {width: 58px;}
  .quicklink-li:hover .quicklink-a .icon::after, .quicklink-a:is(:active, :focus) .icon::after {width: 46px;}
  .quicklink-li:hover .quicklink-a .icon::before, .quicklink-a:is(:active, :focus) .icon::before {width: 36px;}

  .main-section.main-news-section::before {top: -70px; width: 160px;}
  .main-section.main-news-section::after {bottom: -70px; left: 3rem; width: 120px;}
  .main-section.main-news-section .main-sec-title::before {width: 60px;}

  .main-news-slider {margin-top: -30px; padding-left: 1.5rem; mask-image: linear-gradient(to right, transparent 0, black 1.5rem); -webkit-mask-image: linear-gradient(to right, transparent 0, black 1.5rem);}
  .main-news-slider .btn-wrap {margin-bottom: 25px; margin-right: 1.5rem;}

  .main-news-slider .swiper-slide {width: 300px; height: 340px; margin-right: 30px;}
  .main-news-link:is(:hover, :active, :focus) {box-shadow: 0 0 25px 0 rgba(113, 113, 113, 0.3);}
  .main-news-link .title {margin: 25px 0;}

  .main-map-block .main-sec-title::before {width: 50px;}
  .main-map-block.map-box {flex: 2;}
  .main-map-block.map-box::before {width: 140px;}

  .rel-sites-inner {gap: 30px;}
  .rel-sites-section .rel-btn-wrap > button {width: 35px; height: 35px; font-size: 22px;}
  .rel-sites-slider .swiper-slide {max-width: 250px; margin-right: 80px;}
}

@media screen and (max-width:1024px) {
  .swiper-container .arrow {width: 45px;}
  .main-visual-slider .arrow {display: none;}
  .main-visual-slider .ctrl {bottom: 1.5rem; right: 3rem;}
  .main-visual-slider .swiper-slide {margin: 0 40px;}

  .quicklink-a .icon {width: 50px;}
  .quicklink-li:hover .quicklink-a .icon::after, .quicklink-a:is(:active, :focus) .icon::after {width: 40px;}
  .quicklink-li:hover .quicklink-a .icon::before, .quicklink-a:is(:active, :focus) .icon::before {width: 20px;}
  .quicklink-li:hover .quicklink-a, .quicklink-a:is(:active, :focus) {transform: translateY(-10px);}

  .main-section.main-news-section {padding: 85px 0 90px;}
  .main-section.main-news-section::before {top: -30px; right: unset; left: 1.5rem; width: 130px;}
  .main-section.main-news-section::after {left: unset; right: 3rem;}
  .main-section.main-news-section .main-sec-title::before {bottom: 0; right: -60px; width: 55px;}

  .main-news-slider {margin-top: 0; padding-top: 30px;}
  .main-news-slider .btn-wrap {display: none;}
  .main-news-slider .scrollbar {margin-top: 40px;}

  .main-news-slider .swiper-slide {width: 260px; height: 300px;}
  .main-news-link {padding: 35px 20px 40px;}
  .main-news-link .title {margin: 20px 0;}

  .main-section.main-map-section {margin: 100px 0 60px;}
  .main-map-block.map-box {flex: none; width: 100%;}
  .main-map-block.map-box::before {right: 1.5rem; width: 130px;}

  .main-section.rel-sites-section {margin-top: 70px;}
  .rel-sites-slider .swiper-slide {margin-right: 60px;}
  .rel-sites-slider .swiper-slide img {max-height: 50px;}
}

@media screen and (max-width:768px) {
  .swiper-container .arrow {width: 40px;}

  .main-visual-slider .ctrl {bottom: 1rem; right: 2rem; padding: 4px 15px;}
  .main-visual-slider .swiper-slide {max-width: calc(100% - 2rem); margin: 0 30px;}
  /* .main-visual-img {padding-bottom: 50%;} */
  .main-visual-txt > .t1 {font-size: clamp(20px, 4vw, 28px);}
  .main-visual-txt > .t2{font-size: clamp(25px, 5vw, 36px);}

  .main-section.quicklink-section {margin-top: 30px;}
  .quicklink-wrap {display: grid; align-content: center; justify-content: center; grid-template-columns: repeat(3, 1fr); gap: 10px; width: fit-content; margin: 0 auto;}
  .quicklink-li {width: 100px;}

  .main-section.main-news-section {padding: 70px 0 60px;}
  .main-section.main-news-section::before {top: -20px; width: 100px;}
  .main-section.main-news-section::after {width: 90px;}
  .main-section.main-news-section .main-sec-title::before {width: 50px;}

  .main-news-slider .swiper-slide {width: 220px; height: 260px; margin-right: 20px;}
  .main-news-link {padding: 25px 20px 30px;}
  .main-news-link .more::before {width: 18px;}
  .main-news-link:is(:hover, :active, :focus) .more::before {width: 22px;}

  .main-map-block .main-sec-title::before {width: 40px;}
  .main-map-block.map-box::before {width: 120px;}
  .main-map-block .main-sec-title-wrap {margin-bottom: 20px;}

  .main-section.rel-sites-section {margin-top: 50px;}
  .rel-sites-inner {flex-flow: column-reverse; align-items: start;}
  .rel-sites-section .rel-btn-wrap {width: fit-content; margin-bottom: 20px;}
  .rel-sites-section .rel-btn-wrap > button {width: 30px; height: 30px; font-size: 20px;}
  .rel-sites-slider .swiper-slide {max-width: 180px; margin-right: 40px;}
}

@media screen and (max-width:425px) {
  .main-visual-slider .ctrl {padding: 2px 10px;}
  .main-visual-txt > .t1 {font-size: clamp(16px, 5vw, 28px);}
  .main-visual-txt > .t2{font-size: clamp(19px, 6vw, 25px);}

  .main-section.quicklink-section {margin-top: 25px;}
  .quicklink-li {width: 80px;}
  .quicklink-a .icon {width: 45px;}
  .quicklink-li:hover .quicklink-a .icon::after, .quicklink-a:is(:active, :focus) .icon::after {width: 35px;}
  .quicklink-li:hover .quicklink-a .icon::before, .quicklink-a:is(:active, :focus) .icon::before {width: 18px;}
  .quicklink-li:hover .quicklink-a, .quicklink-a:is(:active, :focus) {transform: none;}

  .main-section.main-news-section::after {display: none;}
  .main-section.main-news-section .main-sec-title::before {width: 40px; right: -50px;}
  .main-news-slider .swiper-slide {width: 180px; height: 220px;}
  .main-news-link .title {margin: 15px 0;}
  .main-news-link .more::after {width: 22px;}

  .main-map-block .main-sec-title::before {width: 35px;}
  .main-section.main-map-section {margin: 80px 0 40px;}
  .main-map-wrap {gap: 40px;}
  .main-map-block.map-box::before {width: 100px; right: 0;}

  .rel-sites-slider .swiper-slide {max-width: 160px;}
  .rel-sites-slider .swiper-slide img {max-height: 40px;}
}